Page MenuHomePhabricator

[sanitizer] Assume getrandom might not be supported by the kernel
ClosedPublic

Authored by zatrazz on Nov 2 2020, 9:51 AM.

Details

Reviewers
kcc
dvyukov
yroux
Summary

It was added on kernel 3.17.

Diff Detail

Unit TestsFailed

TimeTest
370 mswindows > LLVM.CodeGen/AMDGPU::ds_read2.ll
Script: -- : 'RUN: at line 2'; c:\ws\w16c2-1\llvm-project\premerge-checks\build\bin\llc.exe -march=amdgcn -mcpu=bonaire -verify-machineinstrs -mattr=+load-store-opt < C:\ws\w16c2-1\llvm-project\premerge-checks\llvm\test\CodeGen\AMDGPU\ds_read2.ll | c:\ws\w16c2-1\llvm-project\premerge-checks\build\bin\filecheck.exe -enable-var-scope -check-prefixes=GCN,CI C:\ws\w16c2-1\llvm-project\premerge-checks\llvm\test\CodeGen\AMDGPU\ds_read2.ll

Event Timeline

zatrazz created this revision.Nov 2 2020, 9:51 AM
Herald added a subscriber: Restricted Project. ยท View Herald TranscriptNov 2 2020, 9:51 AM
zatrazz requested review of this revision.Nov 2 2020, 9:51 AM
yroux added a subscriber: yroux.Nov 4 2020, 2:06 AM

The change makes sense to me and will fix ARM broken bots, I'd say that it can be accepted if there is no objection within a day

yroux accepted this revision.Nov 5 2020, 2:51 AM

LGTM

This revision is now accepted and ready to land.Nov 5 2020, 2:51 AM
zatrazz closed this revision.Nov 5 2020, 3:38 AM